org.optaplanner.core.impl.score.definition

## Class AbstractFeasibilityScoreDefinition<S extends FeasibilityScore<S>>

- java.lang.Object
- - org.optaplanner.core.impl.score.definition.AbstractScoreDefinition<S>
  - - org.optaplanner.core.impl.score.definition.AbstractFeasibilityScoreDefinition<S>

- All Implemented Interfaces:
    Serializable, FeasibilityScoreDefinition<S>, ScoreDefinition<S>
  Direct Known Subclasses:
    AbstractBendableScoreDefinition, HardMediumSoftBigDecimalScoreDefinition, HardMediumSoftLongScoreDefinition, HardMediumSoftScoreDefinition, HardSoftBigDecimalScoreDefinition, HardSoftDoubleScoreDefinition, HardSoftLongScoreDefinition, HardSoftScoreDefinition

      public abstract class AbstractFeasibilityScoreDefinition<S extends FeasibilityScore<S>>
      extends AbstractScoreDefinition<S>
      implements FeasibilityScoreDefinition<S>

  Abstract superclass for `FeasibilityScoreDefinition`.
  See Also:
    `FeasibilityScoreDefinition`, `HardSoftScoreDefinition`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFeasibilityScoreDefinition(String[] levelLabels)`

  - ### Method Summary

    - ### Methods inherited from class org.optaplanner.core.impl.score.definition.AbstractScoreDefinition

      `divide, divide, divide, divide, formatScore, getInitLabel, getLevelLabels, getLevelsSize, sanitize, sanitize, sanitize, sanitize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.definition.FeasibilityScoreDefinition

      `getFeasibleLevelsSize`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.definition.ScoreDefinition

      `buildOptimisticBound, buildPessimisticBound, buildScoreHolder, buildScoreInliner, divideBySanitizedDivisor, formatScore, fromLevelNumbers, getInitLabel, getLevelLabels, getLevelsSize, getOneSoftestScore, getScoreClass, getZeroScore, isNegativeOrZero, isPositiveOrZero, parseScore`

- - ### Constructor Detail

    - #### AbstractFeasibilityScoreDefinition

          public AbstractFeasibilityScoreDefinition(String[] levelLabels)

      Parameters:
        `levelLabels` - never null, as defined by `ScoreDefinition.getLevelLabels()`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.